Subject: Re: [PATCH] bonding: Don't allow mode change via sysfs with slaves present

From: Nicolas de Pesloüan<[email-masked]>
Date: Thu, 17 Nov 2011 22:28:24 +0100

Le 16/11/2011 23:02, Andy Gospodarek a écrit :

<snip>

> I was looking at ifenslave 1.1.0-20.  If you look at Debian bug #641250
> you will see a very similar report to what prompted Veaceslav to come up
> with this patch and post it here.

I completely missed this version. I recently reinstalled my system and forgot to add unstable to 
source.list.

> ifenslave-2.6 (1.1.0-20) unstable; urgency=low
>
>    * Use dashes consistently for bonding options in README.Debian.
>      Closes: #639244
>    * Enslave slaves only after fully setting up the master. Closes: #641250
>    * Add build-arch and build-indep targets to debian/rules.
>
>   -- Guus Sliepen<[email-masked]>   Mon, 14 Nov 2011 11:36:21 +0100

Having a look at the change made to fix the bug described in #641250, I anticipate it will cause 
some regressions because some of the actions taken in setup_master must be done after enslavement 
and are now done before:

- primary must be set after mode (because only supported in some modes) and after enslavement.
- primary_reselect should be set after mode (because only supported in some modes), after 
enslavement and after primary.
- queue_id must be set after enslavement.
- active_slave must be set after mode and after enslavement.

I will prepare a -21 version.

<snip>

> Since this problem seems like a pretty major problem and now Debian,
> Fedora, RHEL, and Ubuntu all seem to have proper initialization scripts
> to handle it, I stand behind my original ACK.

You are right.

Acked-by: Nicolas de Pesloüan <[email-masked]>

	Nicolas.